# $Revision: 1.12 $, $Date: 2005/09/18 22:03:04 $

%define		_name	thinkeramik

Summary:	KDE style - thinkeramik
Summary(pl):	Styl do KDE - thinkeramik
Name:		kde-theme-%{_name}
Version:	3.2.1
Release:	3
License:	GPL
Group:		Themes
Source0:	http://prefsx1.hp.infoseek.co.jp/tk040429/%{_name}-%{version}.tar.gz
# Source0-md5:	a151cd6ccba9376fb884d716ff4c4512
URL:		http://www.kde-look.org/content/show.php?content=10919
Patch0:		%{_name}-paths.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	kdelibs-devel >= 3.1.2
BuildRequires:	unsermake
Requires:	kde-style-%{_name}
Requires:	kde-colorscheme-%{_name}
Requires:	kde-decoration-%{_name}
Obsoletes:	kde-style-thin_keramik
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
thinkeramik is a KDE style based on Keramik.

%description -l pl
thinkeramik to styl KDE oparty na Keramiku.

%package -n kde-style-%{_name}
Summary:	KDE style - %{_name}
Summary(pl):	Styl do KDE - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-style-%{_name}
thinkeramik is modified from keramik as follows:
- Flat Menubar and Toolbar.
- Scrollbar-slider color.(= Window-InactiveBackground)
- Thin push-buttons and scrollbar.
- Selected menu-Item effect.
- Active menubar-Item effect.
- Pixmaps of tabs.
- Active tab effect.
- Striped menu.

%description -n kde-style-%{_name} -l pl
thinkeramik to zmodyfikowany keramik z nastpujcymi zmianami:
- Paskie paski menu i narzdzi
- Inny kolor suwaka - nieaktywnego ta
- Cienkie przyciski i suwak
- Efekt dla zaznaczonej i aktywnej pozycji w pasku menu
- Ikonki na zakadkach
- Efekt aktywnej zakadki
- Paskowane menu

%package -n kde-colorscheme-%{_name}
Summary:	Color scheme for KDE style - thinkeramik
Summary(pl):	Schemat kolorw do stylu KDE - thinkeramik
Group:		Themes
Requires:	kdelibs

%description -n kde-colorscheme-%{_name}
Color schemes for KDE style - thinkeramik. One of them
has a subdued green look and the second is an interesting
yet a little eccentric green/orange/blue mix.


%description -n kde-colorscheme-%{_name} -l pl
Schematy kolorw do stylu KDE - thinkeramik. Jeden z nich
ma stonowany, zielony wygld; a drugi jest interesujcym,
acz troch ekstrawaganckim poczeniem kolorw: 
zielonego, pomaraczowego i niebieskiego.

%package -n kde-decoration-%{_name}
Summary:	Kwin decoration - thinkeramik
Summary(pl):	Dekoracja kwin - thinkeramik
Group:		Themes
Requires:	kdebase-desktop

%description -n kde-decoration-%{_name}
A window decoration which goes with the thinkeramik KDE style.
It is similar to the keramik decoration, it differs by:
- having flattened buttons
- extended customizability (like the buttons' shape)

%description -n kde-decoration-%{_name} -l pl
Dekoracja okien, ktra pasuje do stylu KDE - thinkeramika.
Jest podobna do dekoracji keramika z wyjtkiem:
- spaszczonych przyciskw
- zwikszonej dostosowywalnoci (np. ksztatu przyciskw)

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
export UNSERMAKE=/usr/share/unsermake/unsermake
cp -f /usr/share/automake/config.sub admin
%{__make} -f Makefile.cvs
%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"

%files

%files -n kde-style-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/plugins/styles/*.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/*.so
%{_libdir}/kde3/kstyle_thinkeramik_config.la
%attr(755,root,root) %{_libdir}/kde3/kstyle_thinkeramik_config.so
%{_datadir}/apps/kstyle/themes/*.themerc
##%{_desktopdir}/thinkeramik.desktop

%files -n kde-colorscheme-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/thinkeramik*.kcsrc

%files -n kde-decoration-%{_name}
%defattr(644,root,root,755)
%attr(755,root,root)%{_libdir}/kde3/kwin*.so
%{_libdir}/kde3/kwin*.la
%{_datadir}/apps/kwin/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-thinkeramik.spec,v $
Revision 1.12  2005/09/18 22:03:04  glen
- create base package and depend on style/colorscheme/decoration packages; rel 3

Revision 1.11  2004/05/27 18:43:08  djurban
- release 2, added the styleconf patch

Revision 1.10  2004/05/27 18:15:23  djurban
- fix amd64 build

Revision 1.9  2004/05/27 17:26:37  djurban
- rm exports, htmldir->makeinstall

Revision 1.8  2004/05/19 22:24:43  djurban
- fix md5

Revision 1.7  2004/05/19 21:54:15  djurban
- updated to 3.2.1
- patch0 in a modified version applied by author dirchanged to->datadir/apps/kdisplay/styleconfs
- usability fixes in descriptions
- dont stbr (missing directory)

Revision 1.6  2004/05/13 17:06:40  ankry
- spaces -> tabs, other cosmetics

Revision 1.5  2004/04/19 08:10:08  qboosh
- typo

Revision 1.4  2004/04/17 23:43:29  qboosh
- cleanup, no bogus desc

Revision 1.3  2004/04/17 13:54:01  ankry
- spaces -> tabs

Revision 1.2  2004/04/17 11:33:17  djurban
- finished update

Revision 1.1  2004/04/17 11:06:25  djurban
- begin update to 3.1.4 (NFY, needs global_cs.patch)

Revision 1.15  2004/03/11 18:43:17  wolf
- config.sub

Revision 1.14  2004/03/08 18:15:34  djurban
- updated to 3.0.8

Revision 1.13  2004/02/28 20:05:40  djurban
- autopadted not testeded

Revision 1.12  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.11  2003/08/30 15:09:25  djurban
- 2.8

Revision 1.10  2003/08/27 23:29:40  ankry
- adapterized

Revision 1.9  2003/08/27 23:06:26  ankry
- typo

Revision 1.8  2003/08/27 23:03:41  ankry
- Don't use macros in description; adapter.awk does not format them properly

Revision 1.7  2003/08/27 19:59:46  djurban
- more specific r

Revision 1.6  2003/08/27 18:50:19  migo
- up to 2.7.3

Revision 1.5  2003/08/24 09:38:02  migo
- up to 2.7.1
- added kde-decoration-thin_keramik

Revision 1.4  2003/08/12 20:01:30  migo
- up to 2.5

Revision 1.3  2003/08/11 16:39:13  migo
- up to 2.4.1

Revision 1.2  2003/08/03 17:15:56  migo
- up to 2.1
- adapterized, cosmetics

Revision 1.1  2003/07/31 12:42:11  djurban
- initial
